Kodi video Streamlink Tester
Streamlink Tester

Streamlink Tester

Provider: Twilight0

Type: video

Version: 1.5.4

Views: 47

Help other people decide, vote up or down?

Streamlink and MPEG-DASH Tester

Addon Disclaimer

This addon does not provide any content, its sole purpose is to resolve web urls with the help of Streamlink resolver library

Addon Description

This addon can play and test various video and audio content from various sources supported by Streamlink resolver library. It can also playback MPEG-DASH streams.

Addon News

1.5.4 - 15-08-2020 - Minor tweak in the addon.xml - Removed optional dependency of youtube-dl 1.5.3 - 01-03-2020 - Some logging tweaks 1.5.2 - 11-11-2019 - Enhanced context menu items - Added sleep when doing file operations (useful for slower devices) - Bug fixes, mostly player related 1.5.1 - 23-08-2019 - Add exception to headers object loop finder in case it fails 1.5.0 - 20-06-2019 - Updated generic plugin (thank you back-to) - Added youtube-dl as optional dependency to augment the generic plugin - Added ability to set custom title from plugin url - Added ability to set custom thumbnail from plugin url (as "image" parameter)

View More

How To Install

To install Streamlink Tester directly from zip file

  1. Download the addon.
  2. Open up Kodi and navigate into Add-ons.
    addon install - Add-ons
  3. Click the open box icon (above the side-menu).
    addon install - openbox
  4. Select Install from zip file.
    • If this is the first addon you install, Kodi will warn you about installing addons from "unknown sources" for security reasons - it's your call.
    • In any case, Kodi will warn you, you may not get auto-updates for this addon.
  5. Navigate into the location where you've downloaded the addon to and select it to Install.

* An alternative method to install Streamlink Tester from a repository can be found here. Repository information can be found below.

Additional Information

Updated: March 29, 2021

Platform: all

Alternative Sources:

License: GPL-3.0-only

Depends On:

xbmc.python (>= 2.26.0)

Tulip Library (>= 2.5.10)

Streamlink Library (>= 2020.02.22)

Recommended Addons